[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# Exception.CreateRes

Constructs a new exception object and gets the message from a resource.

## Declaration

Source position: sysutilh.inc line 114

`public constructor Exception.CreateRes(`
`ResString: PString`
`);`

## Errors

Construction may fail if there is not enough memory on the heap.

## See also

Exception.Create |  | Constructs a new exception object with a given message.
Exception.CreateFmt |  | Constructs a new exception object and formats a new message.
Exception.CreateResFmt |  | Constructs a new exception object and formats the message from a resource.
Exception.Message |  | Message associated with the exception.